package renderer

import "net/http"

const journeysMenu = "journeys"

func (renderer *Renderer) JourneysSearch(w http.ResponseWriter, r *http.Request, carpools any, transitjourneys any, vehicles []any, searched bool, departure any, destination any, departuredate string, departuretime string) {
	files := renderer.ThemeConfig.GetStringSlice("views.journeys.search.files")
	state := NewState(r, renderer.ThemeConfig, journeysMenu)
	state.ViewState = map[string]any{
		"searched":      searched,
		"departuredate": departuredate,
		"departuretime": departuretime,
		"departure":     departure,
		"destination":   destination,
		"journeys":      transitjourneys,
		"carpools":      carpools,
		"vehicles":      vehicles,
	}

	renderer.Render("journeys", w, r, files, state)
}
